/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/UnitTests/JUnit5TestClass.java to edit this template
 */
package com.jcg;

import static org.junit.jupiter.api.Assertions.assertEquals;
import org.junit.jupiter.api.Test;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

/**
 *
 * @author omozegieaziegbe
 */
public class ServiceWithFinalFieldTest {

    @Test
    public void testMockFinalField() {
        // Mock the class containing the final field
        ServiceWithFinalField serviceMock = mock(ServiceWithFinalField.class);

        // Define behavior for the method that accesses the final field
        when(serviceMock.getConfig()).thenReturn("Mocked Config");
        assertEquals("Mocked Config", serviceMock.getConfig());

        System.out.println(serviceMock.getConfig());
    }
}
