/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/UnitTests/JUnit5TestClass.java to edit this template
 */
package com.jcg;

import static org.junit.jupiter.api.Assertions.assertEquals;
import org.junit.jupiter.api.Test;
import org.mockito.MockedStatic;
import static org.mockito.Mockito.mockStatic;

/**
 *
 * @author omozegieaziegbe
 */
public class StaticClassTest {

    @Test
    public void testStaticMethodMock() {
        try (MockedStatic<StaticClass> mockedStatic = mockStatic(StaticClass.class)) {
            mockedStatic.when(StaticClass::getStatus).thenReturn("Mocked Status");

            assertEquals("Mocked Status", StaticClass.getStatus());
            System.out.println(StaticClass.getStatus());
        }
    }
}
